Intro - Folder structure
/src: This folder is your main source folder. Coding only happens from inside this folder
/src/content: All pieces of content must be here
/src/datasources: Datasources will be served out of this folder when the feature is integrated
/src/previews: This folder holds all the previews. 1 piece of content = 1 preview. The preview must have the name of its related piece of content.
/src/shared_assets: For bigger projects.
/dist: Build content (Dev or Prod) is stored here for review. Managed via gulp
/zipped: Contains compiled and zipped pieces of content, ready to be uploaded to switchboard's HQ

0- Required dependencies:
Node.js and npm

1- Initialise your local environment
If you've never installed gulp, please install it globally as follow via your terminal:
```$ npm i gulp-cli --global```
Now `cd` into your project folder and run the following command
```$ npm i```

2- Run your local environment
To run your local environment and start developing, just run the following command:
```$ gulp```
This will serve your content and watch any modification to instantly reload live changes in your browser

3- Build for production
To build and upload content to Switchboard HQ, we'll need to compile and zip our content Run the following command to do so:
```$ gulp build```
At the root lelvel of the repository, you will find a new folder named "zipped" that was freshly generated. Your content inside that folder is ready to be uploaded to Switchboard.

4- Clean your work environment
To delete the folders `dist` and `zipped`, run the command ```$ gulp clean```
Please note that this command is automatically run before content builds itself